attribute vec4 vPosition;
attribute vec4 inputTextureCoordinate;
attribute vec4 inputTextureCoordinateMask;
varying vec2 textureCoordinate;
varying vec2 textureCoordinateMask;
uniform mat4 textureTransform;
uniform mat4 maskTransform;
void main(){
    gl_Position = vPosition;
    textureCoordinate = (textureTransform * inputTextureCoordinate).xy;
    textureCoordinateMask = (textureTransform * inputTextureCoordinateMask).xy;
}